diff --git a/src/main/java/net/minecraft/core/world/biome/Biome.java b/src/main/java/net/minecraft/core/world/biome/Biome.java
index 90e9358eb..0b444a26f 100644
--- a/src/main/java/net/minecraft/core/world/biome/Biome.java
+++ b/src/main/java/net/minecraft/core/world/biome/Biome.java
@@ -1,13 +1,24 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.block.Block;
-import net.minecraft.core.entity.*;
-import net.minecraft.core.entity.animal.*;
-import net.minecraft.core.entity.monster.*;
-import net.minecraft.core.enums.EnumCreatureType;
+import net.minecraft.core.entity.animal.ChickenMob;
+import net.minecraft.core.entity.animal.CowMob;
+import net.minecraft.core.entity.animal.FireflyClusterMob;
+import net.minecraft.core.entity.animal.PigMob;
+import net.minecraft.core.entity.animal.SheepMob;
+import net.minecraft.core.entity.animal.SquidMob;
+import net.minecraft.core.entity.monster.CreeperMob;
+import net.minecraft.core.entity.monster.SkeletonMob;
+import net.minecraft.core.entity.monster.SlimeMob;
+import net.minecraft.core.entity.monster.SnowmanMob;
+import net.minecraft.core.entity.monster.SpiderMob;
+import net.minecraft.core.entity.monster.ZombieArmoredMob;
+import net.minecraft.core.entity.monster.ZombieMob;
+import net.minecraft.core.enums.MobCategory;
+import net.minecraft.core.block.Blocks;
+import net.minecraft.core.entity.SpawnListEntry;
+import net.minecraft.core.world.generate.feature.WorldFeature;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTree;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeFancy;
-import net.minecraft.core.world.generate.feature.WorldFeature;
 import net.minecraft.core.world.weather.Weather;
 
 import java.util.ArrayList;
@@ -30,35 +41,35 @@ public class Biome
     public Biome(String key)
     {
     	this.translationKey = "biome." + key; 
-        topBlock = (short) Block.grass.id;
-        fillerBlock = (short)Block.dirt.id;
+        topBlock = (short) Blocks.GRASS.id;
+        fillerBlock = (short)Blocks.DIRT.id;
         spawnableMonsterList = new ArrayList<>();
         spawnableCreatureList = new ArrayList<>();
         spawnableWaterCreatureList = new ArrayList<>();
         spawnableAmbientCreatureList = new ArrayList<>();
-        spawnableMonsterList.add(new SpawnListEntry(EntitySpider.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(EntityZombie.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(EntityArmoredZombie.class, 2));
-        spawnableMonsterList.add(new SpawnListEntry(EntitySkeleton.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(EntityCreeper.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(EntitySlime.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(EntitySnowman.class, 2));
-        spawnableCreatureList.add(new SpawnListEntry(EntitySheep.class, 102));
-        spawnableCreatureList.add(new SpawnListEntry(EntityPig.class, 102));
-        spawnableCreatureList.add(new SpawnListEntry(EntityChicken.class, 102));
-        spawnableCreatureList.add(new SpawnListEntry(EntityCow.class, 102));
-        spawnableWaterCreatureList.add(new SpawnListEntry(EntitySquid.class, 10));
-        spawnableAmbientCreatureList.add(new SpawnListEntry(EntityFireflyCluster.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(SpiderMob.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(ZombieMob.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(ZombieArmoredMob.class, 2));
+        spawnableMonsterList.add(new SpawnListEntry(SkeletonMob.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(CreeperMob.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(SlimeMob.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(SnowmanMob.class, 2));
+        spawnableCreatureList.add(new SpawnListEntry(SheepMob.class, 102));
+        spawnableCreatureList.add(new SpawnListEntry(PigMob.class, 102));
+        spawnableCreatureList.add(new SpawnListEntry(ChickenMob.class, 102));
+        spawnableCreatureList.add(new SpawnListEntry(CowMob.class, 102));
+        spawnableWaterCreatureList.add(new SpawnListEntry(SquidMob.class, 10));
+        spawnableAmbientCreatureList.add(new SpawnListEntry(FireflyClusterMob.class, 10));
     }
 
     public WorldFeature getRandomWorldGenForTrees(Random random)
     {
         if(random.nextInt(10) == 0)
         {
-            return new WorldFeatureTreeFancy(Block.leavesOak.id, Block.logOak.id);
+            return new WorldFeatureTreeFancy(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK.id);
         } else
         {
-            return new WorldFeatureTree(Block.leavesOak.id, Block.logOak.id, 4);
+            return new WorldFeatureTree(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK.id, 4);
         }
     }
 
@@ -82,7 +93,7 @@ public class Biome
         return java.awt.Color.getHSBColor(0.6222222F - temperature * 0.125F, 0.5F + temperature * 0.1F, 1.0F).getRGB();
     }
 
-    public List<SpawnListEntry> getSpawnableList(EnumCreatureType creatureType)
+    public List<SpawnListEntry> getSpawnableList(MobCategory creatureType)
     {
         switch (creatureType){
             case monster:
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeBirchForest.java b/src/main/java/net/minecraft/core/world/biome/BiomeBirchForest.java
index 187705825..ba8d36ff9 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeBirchForest.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeBirchForest.java
@@ -1,7 +1,8 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.entity.animal.EntityWolf;
+import net.minecraft.core.entity.animal.WolfMob;
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.SpawnListEntry;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTree;
 import net.minecraft.core.world.generate.feature.WorldFeature;
@@ -15,7 +16,7 @@ public class BiomeBirchForest extends Biome
     public BiomeBirchForest(String key)
     {
     	super(key);
-        spawnableCreatureList.add(new SpawnListEntry(EntityWolf.class, 25));
+        spawnableCreatureList.add(new SpawnListEntry(WolfMob.class, 25));
     }
 
     @Override
@@ -24,9 +25,9 @@ public class BiomeBirchForest extends Biome
 
         if(random.nextInt(10) == 0)
         {
-            return new WorldFeatureTreeTall(Block.leavesBirch.id, Block.logBirch.id);
+            return new WorldFeatureTreeTall(Blocks.LEAVES_BIRCH.id, Blocks.LOG_BIRCH.id);
         } else
-            return new WorldFeatureTree(Block.leavesBirch.id, Block.logBirch.id, 8);
+            return new WorldFeatureTree(Blocks.LEAVES_BIRCH.id, Blocks.LOG_BIRCH.id, 8);
 
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeBorealForest.java b/src/main/java/net/minecraft/core/world/biome/BiomeBorealForest.java
index f2b596223..050a6b6b6 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeBorealForest.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeBorealForest.java
@@ -1,7 +1,8 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.entity.animal.EntityWolf;
+import net.minecraft.core.entity.animal.WolfMob;
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.SpawnListEntry;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeTaigaBushy;
 import net.minecraft.core.world.generate.feature.WorldFeature;
@@ -14,12 +15,12 @@ public class BiomeBorealForest extends Biome
     public BiomeBorealForest(String key)
     {
     	super(key);
-        spawnableCreatureList.add(new SpawnListEntry(EntityWolf.class, 25));
+        spawnableCreatureList.add(new SpawnListEntry(WolfMob.class, 25));
     }
 
     @Override
 	public WorldFeature getRandomWorldGenForTrees(Random random)
     {
-        return new WorldFeatureTreeTaigaBushy(Block.leavesPine.id, Block.logPine.id);
+        return new WorldFeatureTreeTaigaBushy(Blocks.LEAVES_PINE.id, Blocks.LOG_PINE.id);
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeCaatinga.java b/src/main/java/net/minecraft/core/world/biome/BiomeCaatinga.java
index b83e37492..ea942cf26 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeCaatinga.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeCaatinga.java
@@ -5,13 +5,14 @@
 package net.minecraft.core.world.biome;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.generate.feature.tree.*;
 import net.minecraft.core.world.generate.feature.WorldFeature;
 
 import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
-//            BiomeGenBase, SpawnListEntry, EntityWolf, WorldGenForest,
+//            BiomeGenBase, SpawnListEntry, WolfMob, WorldGenForest,
 //            WorldGenBigTree, WorldGenTrees, WorldGenerator
 
 public class BiomeCaatinga extends Biome
@@ -26,10 +27,10 @@ public class BiomeCaatinga extends Biome
     {
         if(random.nextInt(3) != 0)
         {
-            return new WorldFeatureTreeShrub(Block.leavesThorn.id, Block.logOak.id);
+            return new WorldFeatureTreeShrub(Blocks.LEAVES_THORN.id, Blocks.LOG_OAK.id);
         } else
         {
-            return new WorldFeatureTreeThorn(4, Block.logThorn.id, 0, Block.leavesThorn.id, 0);
+            return new WorldFeatureTreeThorn(4, Blocks.LOG_THORN.id, 0, Blocks.LEAVES_THORN.id, 0);
         }
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeDesert.java b/src/main/java/net/minecraft/core/world/biome/BiomeDesert.java
index 53940e9a1..b1c205123 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeDesert.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeDesert.java
@@ -1,10 +1,9 @@
 package net.minecraft.core.world.biome;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.generate.feature.WorldFeature;
-import net.minecraft.core.world.generate.feature.tree.WorldFeatureTree;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreePalm;
-import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeShrub;
 
 import java.util.Random;
 
@@ -18,6 +17,6 @@ public class BiomeDesert extends Biome
     @Override
     public WorldFeature getRandomWorldGenForTrees(Random random) {
 
-        return new WorldFeatureTreePalm(Block.logPalm, Block.leavesPalm, random.nextInt(10) == 0, false);
+        return new WorldFeatureTreePalm(Blocks.LOG_PALM, Blocks.LEAVES_PALM, random.nextInt(10) == 0, false);
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeForest.java b/src/main/java/net/minecraft/core/world/biome/BiomeForest.java
index fc55be3af..be1537da8 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeForest.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeForest.java
@@ -1,9 +1,9 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.entity.animal.EntityWolf;
+import net.minecraft.core.entity.animal.WolfMob;
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.SpawnListEntry;
-import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeCherry;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTree;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeFancy;
 import net.minecraft.core.world.generate.feature.WorldFeature;
@@ -16,7 +16,7 @@ public class BiomeForest extends Biome
     public BiomeForest(String key)
     {
     	super(key);
-        spawnableCreatureList.add(new SpawnListEntry(EntityWolf.class, 25));
+        spawnableCreatureList.add(new SpawnListEntry(WolfMob.class, 25));
     }
 
     @Override
@@ -24,16 +24,16 @@ public class BiomeForest extends Biome
     {
         if(random.nextInt(5) == 0)
         {
-            return new WorldFeatureTree(Block.leavesBirch.id, Block.logBirch.id, 5);
+            return new WorldFeatureTree(Blocks.LEAVES_BIRCH.id, Blocks.LOG_BIRCH.id, 5);
         }
         if(random.nextInt(3) == 0)
         {
-            return new WorldFeatureTreeFancy(Block.leavesOak.id, Block.logOak.id);
+            return new WorldFeatureTreeFancy(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK.id);
         } else
         {
             if(random.nextInt(25) == 0)
-                return new WorldFeatureTree(Block.leavesOak.id, Block.logOakMossy.id, 4);
-            return new WorldFeatureTree(Block.leavesOak.id, Block.logOak.id, 4);
+                return new WorldFeatureTree(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK_MOSSY.id, 4);
+            return new WorldFeatureTree(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK.id, 4);
         }
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeNether.java b/src/main/java/net/minecraft/core/world/biome/BiomeNether.java
index 2f2df256e..cf9aa62b6 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeNether.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeNether.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.entity.monster.EntityGhast;
-import net.minecraft.core.entity.monster.EntityPigZombie;
+import net.minecraft.core.entity.monster.GhastMob;
+import net.minecraft.core.entity.monster.ZombiePigMob;
 import net.minecraft.core.entity.SpawnListEntry;
 
 public class BiomeNether extends Biome
@@ -14,7 +14,7 @@ public class BiomeNether extends Biome
         spawnableCreatureList.clear();
         spawnableWaterCreatureList.clear();
         spawnableAmbientCreatureList.clear();
-        spawnableMonsterList.add(new SpawnListEntry(EntityGhast.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(EntityPigZombie.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(GhastMob.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(ZombiePigMob.class, 10));
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeOutback.java b/src/main/java/net/minecraft/core/world/biome/BiomeOutback.java
index 5c53100cc..1ea05fb82 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeOutback.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeOutback.java
@@ -1,7 +1,8 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.entity.monster.EntitySpider;
+import net.minecraft.core.entity.monster.SpiderMob;
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.SpawnListEntry;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeEucalyptus;
 import net.minecraft.core.world.generate.feature.WorldFeature;
@@ -17,12 +18,12 @@ public class BiomeOutback extends Biome
         spawnableMonsterList.clear();
         spawnableCreatureList.clear();
         spawnableWaterCreatureList.clear();
-        spawnableMonsterList.add(new SpawnListEntry(EntitySpider.class, 20));
+        spawnableMonsterList.add(new SpawnListEntry(SpiderMob.class, 20));
     }
 
     @Override
 	public WorldFeature getRandomWorldGenForTrees(Random random)
     {
-        return new WorldFeatureTreeEucalyptus(Block.leavesEucalyptus.id, Block.logEucalyptus.id);
+        return new WorldFeatureTreeEucalyptus(Blocks.LEAVES_EUCALYPTUS.id, Blocks.LOG_EUCALYPTUS.id);
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeParadise.java b/src/main/java/net/minecraft/core/world/biome/BiomeParadise.java
index bba16e957..13e5b628b 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeParadise.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeParadise.java
@@ -1,10 +1,10 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.entity.animal.EntityChicken;
+import net.minecraft.core.entity.animal.ChickenMob;
 import net.minecraft.core.entity.SpawnListEntry;
 
 // Referenced classes of package net.minecraft.src:
-//            BiomeGenBase, SpawnListEntry, EntityChicken
+//            BiomeGenBase, SpawnListEntry, ChickenMob
 
 public class BiomeParadise extends Biome
 {	
@@ -14,7 +14,7 @@ public class BiomeParadise extends Biome
         spawnableMonsterList.clear();
         spawnableCreatureList.clear();
         spawnableWaterCreatureList.clear();
-        spawnableCreatureList.add(new SpawnListEntry(EntityChicken.class, 10));
+        spawnableCreatureList.add(new SpawnListEntry(ChickenMob.class, 10));
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomePlains.java b/src/main/java/net/minecraft/core/world/biome/BiomePlains.java
index 13de075e0..05e075616 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomePlains.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomePlains.java
@@ -1,6 +1,7 @@
 package net.minecraft.core.world.biome;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.generate.feature.WorldFeature;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeEucalyptus;
 
@@ -15,6 +16,6 @@ public class BiomePlains extends Biome
     @Override
     public WorldFeature getRandomWorldGenForTrees(Random random)
     {
-        return new WorldFeatureTreeEucalyptus(Block.leavesEucalyptus.id, Block.logEucalyptus.id);
+        return new WorldFeatureTreeEucalyptus(Blocks.LEAVES_EUCALYPTUS.id, Blocks.LOG_EUCALYPTUS.id);
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeRainforest.java b/src/main/java/net/minecraft/core/world/biome/BiomeRainforest.java
index 70ab0dec6..953ba12c0 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeRainforest.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeRainforest.java
@@ -1,6 +1,7 @@
 package net.minecraft.core.world.biome;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTree;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeFancyRainforest;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreePalm;
@@ -22,23 +23,23 @@ public class BiomeRainforest extends Biome
 	public WorldFeature getRandomWorldGenForTrees(Random random) {
 		if(random.nextInt(1000) == 0) {
 			int treeHeight = 30 + random.nextInt(30);
-			return new WorldFeatureSpoonerTreeRound(treeHeight, Block.logOak.id, 0, Block.leavesOak.id, 0);
+			return new WorldFeatureSpoonerTreeRound(treeHeight, Blocks.LOG_OAK.id, 0, Blocks.LEAVES_OAK.id, 0);
 		}
 		if(random.nextInt(10) == 0) {
-			return new WorldFeatureTreePalm(Block.logPalm, Block.leavesPalm, true, false);
+			return new WorldFeatureTreePalm(Blocks.LOG_PALM, Blocks.LEAVES_PALM, true, false);
 		}
 		if(random.nextInt(3) == 0) {
 			if(random.nextInt(10) == 0) {
-				return new WorldFeatureTreeFancyRainforest(Block.leavesOak.id, Block.logOakMossy.id, 0);
+				return new WorldFeatureTreeFancyRainforest(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK_MOSSY.id, 0);
 			}
-			return new WorldFeatureTreeFancyRainforest(Block.leavesOak.id, Block.logOak.id, 0);
+			return new WorldFeatureTreeFancyRainforest(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK.id, 0);
 		}
 		if(random.nextInt(5) == 0) {
-			return new WorldFeatureTreeShrub(Block.leavesShrub.id, Block.logOak.id);
+			return new WorldFeatureTreeShrub(Blocks.LEAVES_SHRUB.id, Blocks.LOG_OAK.id);
 		}
 		if(random.nextInt(10) == 0) {
-			return new WorldFeatureTree(Block.leavesCacao.id, Block.logOakMossy.id, 4);
+			return new WorldFeatureTree(Blocks.LEAVES_CACAO.id, Blocks.LOG_OAK_MOSSY.id, 4);
 		}
-		return new WorldFeatureTree(Block.leavesOak.id, Block.logOak.id, 6);
+		return new WorldFeatureTree(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK.id, 6);
 	}
 }
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeRetro.java b/src/main/java/net/minecraft/core/world/biome/BiomeRetro.java
index 9d71db29e..99c75795b 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeRetro.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeRetro.java
@@ -1,6 +1,7 @@
 package net.minecraft.core.world.biome;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.SpawnListEntry;
 import net.minecraft.core.entity.animal.*;
 import net.minecraft.core.entity.monster.*;
@@ -20,25 +21,25 @@ public class BiomeRetro
         spawnableCreatureList.clear();
         spawnableWaterCreatureList.clear();
         spawnableAmbientCreatureList.clear();
-        spawnableMonsterList.add(new SpawnListEntry(EntitySpider.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(EntityZombie.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(EntitySkeleton.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(EntityCreeper.class, 10));
-        spawnableMonsterList.add(new SpawnListEntry(EntitySlime.class, 10));
-        spawnableCreatureList.add(new SpawnListEntry(EntitySheep.class, 102));
-        spawnableCreatureList.add(new SpawnListEntry(EntityPig.class, 102));
-        spawnableCreatureList.add(new SpawnListEntry(EntityChicken.class, 102));
-        spawnableCreatureList.add(new SpawnListEntry(EntityCow.class, 102));
+        spawnableMonsterList.add(new SpawnListEntry(SpiderMob.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(ZombieMob.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(SkeletonMob.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(CreeperMob.class, 10));
+        spawnableMonsterList.add(new SpawnListEntry(SlimeMob.class, 10));
+        spawnableCreatureList.add(new SpawnListEntry(SheepMob.class, 102));
+        spawnableCreatureList.add(new SpawnListEntry(PigMob.class, 102));
+        spawnableCreatureList.add(new SpawnListEntry(ChickenMob.class, 102));
+        spawnableCreatureList.add(new SpawnListEntry(CowMob.class, 102));
 
     }
 
     @Override
     public WorldFeature getRandomWorldGenForTrees(Random random)
     {
-        WorldFeature feature = new WorldFeatureTree(Block.leavesOakRetro.id, Block.logOak.id, 4);
+        WorldFeature feature = new WorldFeatureTree(Blocks.LEAVES_OAK_RETRO.id, Blocks.LOG_OAK.id, 4);
         if (random.nextInt(10) == 0)
         {
-            feature = new WorldFeatureTreeFancy(Block.leavesOakRetro.id, Block.logOak.id);
+            feature = new WorldFeatureTreeFancy(Blocks.LEAVES_OAK_RETRO.id, Blocks.LOG_OAK.id);
         }
 
         return feature;
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeSeasonalForest.java b/src/main/java/net/minecraft/core/world/biome/BiomeSeasonalForest.java
index 7b500492f..47cfadc5a 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeSeasonalForest.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeSeasonalForest.java
@@ -1,8 +1,9 @@
 package net.minecraft.core.world.biome;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.SpawnListEntry;
-import net.minecraft.core.entity.animal.EntityWolf;
+import net.minecraft.core.entity.animal.WolfMob;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeCherry;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTree;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeFancy;
@@ -11,7 +12,7 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
-//            BiomeGenBase, SpawnListEntry, EntityWolf, WorldGenForest,
+//            BiomeGenBase, SpawnListEntry, WolfMob, WorldGenForest,
 //            WorldGenBigTree, WorldGenTrees, WorldGenerator
 
 public class BiomeSeasonalForest extends Biome
@@ -20,7 +21,7 @@ public class BiomeSeasonalForest extends Biome
     public BiomeSeasonalForest(String key)
     {
     	super(key);
-        spawnableCreatureList.add(new SpawnListEntry(EntityWolf.class, 25));
+        spawnableCreatureList.add(new SpawnListEntry(WolfMob.class, 25));
     }
     @Override
 	public WorldFeature getRandomWorldGenForTrees(Random random)
@@ -29,16 +30,16 @@ public class BiomeSeasonalForest extends Biome
         {
             if(random.nextInt(2) == 0)
             {
-                return new WorldFeatureTreeFancy(Block.leavesOak.id, Block.logOak.id);
+                return new WorldFeatureTreeFancy(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK.id);
             }
-            return new WorldFeatureTree(Block.leavesOak.id, Block.logOak.id, 4);
+            return new WorldFeatureTree(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK.id, 4);
         }
         if(random.nextInt(3) == 0)
         {
-            return new WorldFeatureTreeFancy(Block.leavesCherry.id, Block.logCherry.id);
+            return new WorldFeatureTreeFancy(Blocks.LEAVES_CHERRY.id, Blocks.LOG_CHERRY.id);
         } else
         {
-            return new WorldFeatureTreeCherry(Block.leavesCherry.id, Block.logCherry.id, 4);
+            return new WorldFeatureTreeCherry(Blocks.LEAVES_CHERRY.id, Blocks.LOG_CHERRY.id, 4);
         }
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeShrubland.java b/src/main/java/net/minecraft/core/world/biome/BiomeShrubland.java
index 3ef1417a3..33041f2a1 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeShrubland.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeShrubland.java
@@ -1,6 +1,7 @@
 package net.minecraft.core.world.biome;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeShrub;
 import net.minecraft.core.world.generate.feature.WorldFeature;
 
@@ -15,6 +16,6 @@ public class BiomeShrubland extends Biome
 	@Override
 	public WorldFeature getRandomWorldGenForTrees(Random random)
     {
-        return new WorldFeatureTreeShrub(Block.leavesShrub.id, Block.logOak.id);
+        return new WorldFeatureTreeShrub(Blocks.LEAVES_SHRUB.id, Blocks.LOG_OAK.id);
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeSwamp.java b/src/main/java/net/minecraft/core/world/biome/BiomeSwamp.java
index 3ff4c12bd..3d11de867 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeSwamp.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeSwamp.java
@@ -1,6 +1,7 @@
 package net.minecraft.core.world.biome;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeShapeSwamp;
 import net.minecraft.core.world.generate.feature.WorldFeature;
 
@@ -15,6 +16,6 @@ public class BiomeSwamp extends Biome
 	@Override
 	public WorldFeature getRandomWorldGenForTrees(Random random)
     {
-        return new WorldFeatureTreeShapeSwamp(Block.leavesOak.id, Block.logOakMossy.id, 6);
+        return new WorldFeatureTreeShapeSwamp(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK_MOSSY.id, 6);
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/biome/BiomeTaiga.java b/src/main/java/net/minecraft/core/world/biome/BiomeTaiga.java
index 070705aab..4892ea059 100644
--- a/src/main/java/net/minecraft/core/world/biome/BiomeTaiga.java
+++ b/src/main/java/net/minecraft/core/world/biome/BiomeTaiga.java
@@ -1,7 +1,8 @@
 package net.minecraft.core.world.biome;
 
-import net.minecraft.core.entity.animal.EntityWolf;
+import net.minecraft.core.entity.animal.WolfMob;
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.SpawnListEntry;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeTaigaBushy;
 import net.minecraft.core.world.generate.feature.tree.WorldFeatureTreeTaigaTall;
@@ -10,7 +11,7 @@ import net.minecraft.core.world.generate.feature.WorldFeature;
 import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
-//            BiomeGenBase, SpawnListEntry, EntityWolf, WorldGenTaiga1, 
+//            BiomeGenBase, SpawnListEntry, WolfMob, WorldGenTaiga1,
 //            WorldGenTaiga2, WorldGenerator
 
 public class BiomeTaiga extends Biome
@@ -19,7 +20,7 @@ public class BiomeTaiga extends Biome
     public BiomeTaiga(String key)
     {
     	super(key);
-        spawnableCreatureList.add(new SpawnListEntry(EntityWolf.class, 25));
+        spawnableCreatureList.add(new SpawnListEntry(WolfMob.class, 25));
     }
 
     @Override
@@ -27,10 +28,10 @@ public class BiomeTaiga extends Biome
     {
         if(random.nextInt(3) == 0)
         {
-            return new WorldFeatureTreeTaigaTall(Block.leavesPine.id, Block.logPine.id);
+            return new WorldFeatureTreeTaigaTall(Blocks.LEAVES_PINE.id, Blocks.LOG_PINE.id);
         } else
         {
-            return new WorldFeatureTreeTaigaBushy(Block.leavesPine.id, Block.logPine.id);
+            return new WorldFeatureTreeTaigaBushy(Blocks.LEAVES_PINE.id, Blocks.LOG_PINE.id);
         }
     }
 }
